import 'dart:io';

import 'package:germanet_dart/src/pseudo_file.dart';
import 'package:germanet_dart/src/security.dart';
import 'package:xml/xml.dart';

XmlDocument parseXml(var entity, SecurityCryptInterpreter? securityCryptInterpreter){
  if(securityCryptInterpreter == null){
    if(entity.runtimeType != FileSystemEntity){
      return XmlDocument.parse(entity.readAsBytesSync());
    }
    return XmlDocument.parse(File(entity.path).readAsStringSync());
  }else{
    if(entity.runtimeType != FileSystemEntity){
      return XmlDocument.parse(securityCryptInterpreter.decryptSource(entity.readAsBytesSync()));
    }
    return XmlDocument.parse(securityCryptInterpreter.decryptSource(File(entity.path).readAsBytesSync()));
  }
}

